# ioka 

Flutter SDK для [ioka](https://ioka.kz).

[Пример приложения](./demo/lib/main.dart)

## Оглавление
- [Оглавление](#оглавление)
- [Установка и использование](#установка-и-использование)
- [Доступный функционал](#доступный-функционал)
- [Документация](#документация)

## Установка и использование

Для того, чтобы пользоваться SDK, вам нужно зарегистрироваться 
[по ссылке](https://ioka.kz/contact-form) и получить публичный ключ для 
приложения.

Затем, можете установить пакет:

```yaml
packages:
  ioka: <latest_version>
```

В энтрипоинте приложения (`main`) вам нужно инициализировать SDK:

```dart
void main() {
  Ioka.setup('<PUBLIC_KEY>');
  runApp(const MyApp());
}
```

Режим SDK (`staging` или `production`) определяется автоматически в зависимости 
от значения публичного ключа.

Чтобы начать платёж, вам нужно создать заказ на сервере и передать 
`orderAccessToken`:

```dart
final orderAccessToken = ...;

Ioka.instance.startCheckoutFlow(
  context: context,
  orderAccessToken: orderAccessToken,
);
```

Подробнее о том как интегрировать серверную часть для работы с ioka sdk можно узнать [здесь](https://docs.google.com/document/d/1baMx2I1vHoWYBC0x5fZbDIVAj5kR7YDy5A12lXlpfT8/edit#heading=h.atr9ary48uhs).

Подробнее об использовании каждого метода можете узнать в 
[документации](./doc/README.md) либо в [демо-приложении](./demo/lib/main.dart).

## Доступный функционал

- [x] Форма оплаты новой и сохраненной картой
- [x] Возможность сохранять карту у пользователя
- [x] Подтверждение оплаты через 3D Secure
- [x] Кастомизация интерфейсов
- [ ] Полная кастомизация интерфейсов 
- [x] Автоматическая кастомизация
- [ ] Apple Pay / Google Pay
- [x] Локализация
- [ ] Документация (в разработке)
- [ ] Тестирование и мокинг (в разработке)

## Документация

Вся документация содержится в папке [doc](./doc), а также в виде inline
комментариев.
