# Инструкции по локализации SDK

На данный момент SDK поддерживает следующие языки:

- Русский
- Английский
- Казахский (в процессе)

Если вы используете локализацию по 
[официальным гайдам Flutter](https://docs.flutter.dev/development/accessibility-and-localization/internationalization), то SDK автоматически распознает текущий язык (если он поддерживается), иначе по
умолчанию используется русский язык.

Если вы используете какое-то кастомное решение для локализации, то язык SDK
можно передать в методы, которые требуют `context` (т.е. показывают какой-то 
контент на экране):

```dart
Ioka.instance.startCheckoutFlow(
  context: context,
  orderAccessToken: ...,
  locale: const Locale('en'), // Передаем локаль
);
```

В случае, если не передать локаль в метод и не был обнаружен локаль в 
приложении (т.е. нет `MaterialApp` или `CupertinoApp`), то будет использоваться
локаль устройства через `MediaQuery`.